Index: src/test/display/CommonDisplay.java
===================================================================
--- src/test/display/CommonDisplay.java	(revision 446)
+++ src/test/display/CommonDisplay.java	(working copy)
@@ -340,18 +340,19 @@
 			}
 
 			int offsetNod2 = road.getOffsetNod2();
-			Nod2Record nod2 = nod.getNod2(offsetNod2);
-			nod2.setRoadData(road);
-			road.setNod2(nod2);
-
-            RouteNode node = nod2.getNode();
-			if (node == null) {
-				System.out.printf("Could not find node for road %x nod2=%x\n",
-						noff,
-						offsetNod2);
-				continue;
+			if (offsetNod2 >= 0){
+				Nod2Record nod2 = nod.getNod2(offsetNod2);
+				nod2.setRoadData(road);
+				road.setNod2(nod2);
+				RouteNode node = nod2.getNode();
+				if (node == null) {
+					System.out.printf("Could not find node for road %x nod2=%x\n",
+							noff,
+							offsetNod2);
+					continue;
+				}
+				node.setLinkedRoad(road);
 			}
-			node.setLinkedRoad(road);
         }
 	}
 
Index: src/test/files/RoadData.java
===================================================================
--- src/test/files/RoadData.java	(revision 446)
+++ src/test/files/RoadData.java	(working copy)
@@ -34,7 +34,7 @@
 	private City city;
 	private int length;
 	private final List<Segment> segments = new ArrayList<>();
-	private int offsetNod2;
+	private int offsetNod2 = -1;
 	private Nod2Record nod2;
 	private List<NodeLocator> nodeLocations = new ArrayList<>();
 	private boolean oneway;
